Skip to main content
POST
/
v1
/
campaigns
/
{campaignId}
/
enable
Enable Campaign
curl --request POST \
  --url https://{cluster}.voucherify.io/v1/campaigns/{campaignId}/enable \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{}
{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find campaign with id camp_h8RyP6FV94F3Ev2odP24j5p",
"request_id": "v-0adaf4847c9502879b",
"resource_id": "camp_h8RyP6FV94F3Ev2odP24j5p",
"resource_type": "campaign"
}

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

campaignId
string
required

The campaign ID or name of the campaign being enabled. You can either pass the campaign ID, which was assigned by Voucherify or the name of the campaign as the path parameter value.

Example:

"camp_rRsfatlwN7unSeUIJDCYedal"

Response

Returns an empty json {}.

Response body schema for POST v1/campaigns/{campaignId}/enable.

Last modified on June 1, 2026